import os

class Config:
    # 配置数据库mysql参数
    MYSQL_NAME = 'root'
    MYSQL_PWD = '123456'
    MYSQL_HOST = '127.0.0.1'
    MYSQL_PORT = '3306'
    MYSQL_DB = 'flask_shop'

    SQLALCHEMY_DATABASE_URI = "mysql+pymysql://{username}:{password}@{host}:{port}/{db}?charset=utf8".format(username=MYSQL_NAME,password=MYSQL_PWD,host=MYSQL_HOST,port=MYSQL_PORT,db=MYSQL_DB)
    SQLALCHEMY_TRACK_MODIFICATIONS = False
    SECRET_KEY = os.urandom(16)

class DevelopmentConfig(Config):
    DEBUG = True
class ProductionConfig(Config): 
    pass

config_map = {
    'develop':DevelopmentConfig,
    'product':ProductionConfig
}