from flask import Flask, app
from flask_sqlalchemy import SQLAlchemy
from config import config_map


db = SQLAlchemy()

def create_app(Config_name):
    app = Flask(__name__)
    obj = config_map.get(Config_name)
    app.config.from_object(obj) # 加载数据库配置文件
    db.init_app(app) # 初始化数据库

    from flask_shop.user import user
    app.register_blueprint(user)
    return app

if __name__ == "__main__":
    app.run()